%global pkgname toric

Name:           gap-pkg-%{pkgname}
Version:        1.9.4
Release:        1%{?dist}
Summary:        Computations with toric varieties in GAP

License:        MIT
URL:            https://gap-packages.github.io/toric/
Source0:        https://github.com/gap-packages/toric/releases/download/v%{version}/Toric-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  gap-devel
BuildRequires:  gap-pkg-autodoc

Requires:       gap-core

%description
Toric implements some computations related to toric varieties and
combinatorial geometry in GAP.  Affine toric varieties can be created
and related information about them can be calculated.

%prep
%autosetup -p0 -n Toric-%{version}

# Linux filesystems are case-sensitive
mv doc/toric.xml doc/Toric.xml

%build
gap makedoc.g <<EOF
quit;
EOF

%install
mkdir -p %{buildroot}%{_gap_dir}/pkg
cp -a ../Toric-%{version} %{buildroot}%{_gap_dir}/pkg/%{pkgname}
rm -f %{buildroot}%{_gap_dir}/pkg/%{pkgname}/{CHANGES,LICENSE,README.md}
rm -f %{buildroot}%{_gap_dir}/pkg/%{pkgname}/doc/*.{aux,bbl,blg,brf,idx,ilg,ind,log,out,pnr,tex,toc}

%check
gap -l "%{buildroot}%{_gap_dir};%{_gap_dir}" < tst/testall.g 2>&1 | tee log
! grep -Fq 'Errors detected' log
rm -f log

%files
%doc CHANGES README.md
%license LICENSE
%docdir %{_gap_dir}/pkg/%{pkgname}/doc
%{_gap_dir}/pkg/%{pkgname}/

%changelog
* Tue Feb  6 2018 Jerry James <loganjerry@gmail.com> - 1.9.4-1
- Initial RPM
